package cn.fw.hermes.common.constant;

import lombok.Getter;

/**
 * @author 张志伟
 * @date 2018-09-20 16:06
 * @description
 */
public enum AdminForbidType {
    /**
     * 添加好友权限
     */
    None("AdminForbid_Type_None", "允许加好友"),
    SendOut("AdminForbid_Type_SendOut", "禁止该用户发起加好友请求");

    @Getter
    private String code;
    @Getter
    private String msg;

    AdminForbidType(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static AdminForbidType getEnum(String code) {
        for (AdminForbidType enums : AdminForbidType.values()) {
            if (code.equals(enums.getCode())) {
                return enums;
            }
        }
        throw new IllegalArgumentException(code + "没有对应枚举");
    }
}
