package cn.fw.hermes.common.constant;

import lombok.Getter;

/**
 * @author 张志伟
 * @date 2018-09-08 16:19
 * @description
 */
public enum StatusEnum {
    /**
     * 状态枚举
     */
    AVAILABLE(1, "可用"),
    DISAVAILABLE(0, "不可用");

    @Getter
    private Integer code;
    @Getter
    private String msg;

    StatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
