package cn.fw.hermes.sdk.api.para;

import cn.fw.hermes.sdk.api.result.ChatMsgBody;
import java.util.List;
import lombok.Data;

/**
 *
 * 聊天记录
 *
 * @Author: liwei
 * @Date: 2018/12/10 16:05
 */
@Data
public class ChatRecordCondition {
    /**
     *消息发送者
     */
    private String fromAccount;

    /**
     * 消息接收者
     */
    private String toAccount;

    /**
     * 发送时间
     */
    private Integer msgTimeStamp;

    /**
     * 消息内容
     */
    private List<ChatMsgBody> msgBody;



}
