package cn.fw.hermes.service.data.impl;

import cn.fw.hermes.dao.mapper.BusinessAccountMapper;
import cn.fw.hermes.domain.db.BusinessAccount;
import cn.fw.hermes.service.data.BusinessAccountService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @Author: Chenery
 * @Date: 2021/2/1 17:28
 */
@Service
public class BusinessAccountServiceImpl extends ServiceImpl<BusinessAccountMapper, BusinessAccount> implements BusinessAccountService {

    @Override
    public List<BusinessAccount> queryAllBusinessAccount() {
      return this.list();

    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public Boolean saveBusinessAccountAccount(BusinessAccount businessAccount) {
       return this.save(businessAccount);
    }


}
